baseurl = "https://ur.gs/"
languageCode = "en-GB"
title = "Nick Thomas"
theme = "grid-side"

# The theme uses pagination for post, gallery, and project listings.
# paginate = 12

# The theme supports disqus, which will appear only on deployed sites,
# not locally when run with `hugo server`; as with standard Hugo disqus,
# you can specify disqus_identifier, disqus_title, and disqus_url in the
# front matter of specific content.
#disqusShortname = "yourDisqusShortname"

# The theme supports menus with up to one submenu per menu item
# The menu name must be "Main"
SectionPagesMenu = "Main"

[Params]
    [Params.Highlight]
        style = "railscasts"

    [Params.Header]
        name = "Nick Thomas"
        description = "Alias: lupine"
        email = "me@ur.gs"
        image = "/img/banner-1600.jpg"
        image_position = "center"

    [Params.Footer]
        [[Params.Footer.List]]
            icon_class = "envelope"
            icon_link = "mailto:me@ur.gs"
        [[Params.Footer.List]]
            icon_class = "gitlab"
            icon_link = "https://gitlab.com/u/lupine"
        [[Params.Footer.List]]
            icon_class = "github"
            icon_link = "https://github.com/lupine"

    # Contains the Cells representing the sections of your website. Each cell
    # contains the name of the cell, an image depicting what the content
    # represents, and a link to use when the cell is clicked. 
    #
    # Not providing an image will use the color specified by 'color' as the
    # background color (default to #FFF).
    #
    # You can embed an icon using 'icon' to specify the classes to use
    # for the icon (such as 'fa fa-flag' when using font awesome).
    #
    # By default, each cell has a grid size of 1/3 (4 out of 12) for large
    # screens, 1/2 (6 out of 12) for medium screens, and 1 (12 out of 12) for
    # small screens. To change the cell's size per screen, use the properties
    # 'cell_large', 'cell_medium', and 'cell_small' respectively with a number
    # ranging from 1 to 12. Make sure that Cells have nubmers equalling 12
    # per row.
    #
    [Params.Cells]
#
#        [[Params.Cells.List]]
#            name = "Custom Post Section Name"
#            link = "custompost/"
#            image = "/img/food.jpg"
#        [[Params.Cells.List]]
#            name = "Custom Gallery Section Name"
#            link = "customgallery/"
#            image = "/img/jars.jpg"
#        [[Params.Cells.List]]
#            name = "Custom Project Section Name"
#            link = "customproject/"
#            image = "/img/phone.jpg"
        [[Params.Cells.List]]
            name = "Pictures"
            link = "gallery/"
            image = "/img/gallery.jpg"
            always_show_text = true
            disable = true
        [[Params.Cells.List]]
            name = "Posts"
            link = "post/"
            image = "/img/post.png"
            #image_position = "top"
            # color = "blue"
            # grayscale = true
            #no_highlight = true
            always_show_text = true
            # Grays out the cell and disables click functionality on it
            # disable = true
        [[Params.Cells.List]]
            name = "Travel"
            link = "travel/"
            image = "/img/travel.jpg"
            always_show_text = true
            # disable = true

